> For the complete documentation index, see [llms.txt](https://docs.zert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zert.com/api-reference/swap/get-wallet-signing-status.md).

# Get Signing Status

Get the current signable step for a swap. Use this after a `mode: "async"` build response, after a `tx_request_expired` error, or when resuming a multi-step execution.

**Endpoint:** `GET /api/v1/swap/{swapId}/signing`\
**Auth:** Required (`Authorization: Bearer YOUR_API_KEY`)

## Path parameters

| Field    | Type   | Required | Description                            |
| -------- | ------ | -------- | -------------------------------------- |
| `swapId` | string | Yes      | Swap ID returned by `POST /swap/build` |

## Example

```bash
curl -X GET 'https://api.gateway.zert.com/api/v1/swap/8933a4cd-a08d-43b7-a63f-d7c1a53fdbe8/signing' \
  -H 'Authorization: Bearer YOUR_API_KEY'
```

## Responses

| Code | Description                                                         |
| ---- | ------------------------------------------------------------------- |
| 200  | A signable payload is ready                                         |
| 202  | The swap is still building or waiting for the valid signing window  |
| 401  | Unauthorized                                                        |
| 404  | Swap not found                                                      |
| 409  | Execution is terminal or the tx request is expired or not yet valid |
| 503  | Execution plan not yet readable                                     |

{% embed url="<https://api.gateway.zert.com/docs>" %}
Zert API — Get Signing Status
{% endembed %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zert.com/api-reference/swap/get-wallet-signing-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
